%define name	gnuitar
%define version	0.3.2
%define release 1mdk

Name:		%{name}
Summary:	Real-time guitar effects
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
#Patch0:		patch-0.3.1-1.bz2
URL:		http://www.gnuitar.com/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gtk2-devel

%description
This is a program for real-time sound effect processing. Probably could be
used not only for guitar. It has GTK interface and uses OSS sound driver.

Includes effects:
	o wah-wah
	o sustain
	o two flavours of distortion
	o reverberator, echo, delay
	o tremolo
	o vibrato
	o chorus/flanger
	o phasor
	o noise gate

%prep
%setup -q
#%patch0 -p1

%build
%configure2_5x --with-gtk2
%make
										
%install
rm -rf %{buildroot}
%makeinstall

#menu
mkdir -p %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="GNUitar" longtitle="Guitar effects" section="Multimedia/Sound"
EOF

#icons
mkdir -p %{buildroot}/%_liconsdir
cat %SOURCE1 > %{buildroot}/%_liconsdir/%name.png
mkdir -p %{buildroot}/%_iconsdir
cat %SOURCE2 > %{buildroot}/%_iconsdir/%name.png
mkdir -p %{buildroot}/%_miconsdir
cat %SOURCE3 > %{buildroot}/%_miconsdir/%name.png

# house cleaning
rm -rf %{buildroot}%{_datadir}/doc
rm -rf %{buildroot}%{_datadir}/%name/win32

%clean
rm -rf %{buildroot}

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING docs/*.html FAQ NEWS TODO
%attr(4755,root,root) %{_bindir}/%name
#%attr(4755,root,root) %{_bindir}/gen_distort2_lookup
#%{_datadir}/%{name}
%{_menudir}/%name
%defattr(0644,root,root,755)
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Wed May 11 2005 Austin Acton <austin@mandriva.org> 0.3.2-1mdk
- 0.3.2
- URL
- remove patch
- gtk2

* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 0.3.1-2mdk
- DIRM

* Sun Jul 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-1mdk
- 0.3.1
- added P0
- misc spec file fixes

* Fri Apr 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-1mdk
- 0.3.0

* Tue Mar 25 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1-1mdk
- 0.2.1

* Mon Feb 17 2003 Austin Acton <aacton@yorku.ca> 0.2.0-1mdk
- initial package
